<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="@dimen/margin_1x_size">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/iv_icon"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_marginStart="@dimen/margin_2x_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_partner_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:text="Segafredo Espresso"
        app:layout_constraintStart_toEndOf="@+id/iv_icon"
        app:layout_constraintTop_toTopOf="@+id/iv_icon" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_partner_outlet"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:text="2 outlets"
        android:textColor="@color/ci_yellow_primary"
        app:layout_constraintBottom_toBottomOf="@+id/iv_icon"
        app:layout_constraintStart_toEndOf="@+id/iv_icon"
        app:layout_constraintTop_toBottomOf="@+id/tv_partner_name" />

    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/btn_discount"
        android:layout_width="80dp"
        android:layout_height="35dp"
        android:background="@drawable/bg_button_primary"
        android:gravity="center"
        android:paddingStart="@dimen/margin_2x_size"
        android:paddingEnd="@dimen/margin_2x_size"
        android:text="30% off"
        android:textColor="@color/white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/iv_right_arrow"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_right_arrow"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:src="@drawable/ic_arrow_right_gray_24dp"
        app:layout_constraintBottom_toBottomOf="@+id/btn_discount"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/btn_discount" />

</androidx.constraintlayout.widget.ConstraintLayout>